# env
# Written in 2019-2020 by Lucas
# CC0 1.0 Universal/Public domain - No rights reserved
#
# To the extent possible under law, the author(s) have dedicated all
# copyright and related and neighboring rights to this software to the
# public domain worldwide. This software is distributed without any
# warranty. You should have received a copy of the CC0 Public Domain
# Dedication along with this software. If not, see
# <http://creativecommons.org/publicdomain/zero/1.0/>.
.POSIX:
.SUFFIXES:
.SUFFIXES: .in .txt .png

THEMES=	blueie brightie brightie2 brightie3 brightie4

.in.txt:
	perl colorscheme.pl <"$<" >"$@"

.in.png:
	perl colorscheme.pl -i <"$<" | pnmtopng >"$@"

all: colorscheme.pl

clean:
	rm -f $(THEMES:=.png) $(THEMES:=.txt)

show: $(THEMES:=.txt) $(THEMES:=.png)

$(THEMES:=.txt) $(THEMES:=.png): all
